<?php
$main['cache'] = "hlss2_cache.txt"; //cache file, updated from time to time, must be writable by server www
$main['skindir'] = "skin/"; //where are stored skin template files, remember to add end slash

$main['cache_outdate'] = "10";//time in seconds when the cache needs to be updated, i suggest you do not go below 3 seconds
$main['dateformat'] = "Y-M-d H:i:s";
$main['template'] = "list.html"; //main template for listing all servers on one page
$main['nicklength'] = "35";//maximum nick lenght, if nick name is too long, it will be abbreviated to nicklength-3
$main['online_img'] = "img/online.gif";//image must be on server WWW
$main['offline_img'] = "img/offline.gif";//image must be on server WWW
// you can call image display by <img src="index.php?id=_X_&img=1"> where _X_ is the number of the server id
// in example <img src="index.php?id=1&img=1">


// notice, every $main[] variable can be inserted to the $server[] setting, (except 'cache')

$server[] = array( // CS 1.6 example
	"disable"	=> 0,// if set to 1 the server is completley ignored
	"ip"		=>"156.17.41.139:27015", // serevr ip:port, can be hostname, if port ommitted default port is 27015
	"template"	=> "vertical-200px.html", // use this skin to display this server, if single mode specified
	"name"		=> "Bagno #1 CS 1.6", // show this name if connection time out
	"gameurl"	=> "halflife",
	"nicklength" => "29",
	"mapurl"	=> "../map_img/halflife", //where image maps to this game are stored
	"mapext"	=> "jpg", // image maps extension
	"applaunch"	=> "30", // which application version to run, more at http://developer.valvesoftware.com/wiki/Steam_Application_IDs
	"ha"		=> "_KaszpiR_", // head admin name
	"ha_mail"	=> "kaszpir@gmail.com", // head admin mail
	"timeout"	=> 1 // timeout in seconds
	);



$server[] = array( // CS 1.6 example
	"disable"	=> 0,
	"ip"		=>"156.17.41.139:27017", // serevr ip:port, can be hostname, if port ommitted default port is 27015
	"template"	=> "hlds-pl.html", // use this skin to display this server, if single mode specified
	"name"		=> "Bagno #2 CS 1.6", // show this name if connection time out
	"gameurl"	=> "halflife",
	"nicklength" => "20",
	"mapurl"	=> "../map_img/halflife2", //where image maps to this game are stored
	"mapext"	=> "jpg", // image maps extension
	"applaunch"	=> "30", // which application version to run, more at http://developer.valvesoftware.com/wiki/Steam_Application_IDs
	"ha"		=> "_KaszpiR_", // head admin name
	"ha_mail"	=> "kaszpir@gmail.com", // head admin mail
	"timeout"	=> 1 // timeout in seconds
	);

$server[] = array( // CS:Source
	"disable"	=> 0,
	"ip"		=>"156.17.41.139:27018", // serevr ip:port, can be hostname, if port ommitted default port is 27015
	"template"	=> "default_s.html", // use this skin to display this server, if single mode specified
	"name"		=> "Nurek CS:S", // show this name if connection time out
	"gameurl"	=> "halflife2",
	"mapurl"	=> "../map_img/halflife", //where image maps to this game are stored
	"mapext"	=> "jpg", // image maps extension
	"applaunch"	=> "30", // which application version to run, more at http://developer.valvesoftware.com/wiki/Steam_Application_IDs
	"ha"		=> "", // head admin name
	"ha_mail"	=> "", // head admin mail
	"timeout"	=> 1 // timeout in seconds
	);

$server[] = array( // HL2 DeathMatch (multiplayer)
	"disable"	=> 1,
	"ip"		=>"192.168.1.2:27018", // serevr ip:port, can be hostname, if port ommitted default port is 27015
	"template"	=> "default_s.html", // use this skin to display this server, if single mode specified
	"name"		=> "Nurek HL2 DM", // show this name if connection time out
	"gameurl"	=> "halflife2",
	"mapurl"	=> "../maps/halflife2", //where image maps to this game are stored
	"mapext"	=> "gif", // image maps extension
	"applaunch"	=> "30", // which application version to run, more at http://developer.valvesoftware.com/wiki/Steam_Application_IDs
	"ha"		=> "", // head admin name
	"ha_mail"	=> "", // head admin mail
	"timeout"	=> 1 // timeout in seconds
	);

$main['showall'] = 0;
//show all variables to use in template, also for debug mode,
//normally you do not want this enabled, cause it shows MASS of crap! :D


$main['debug'] = 0;// just enables error_reporting(E_ALL);, causes image corruption

///////////////////////////////////////////////////////////////
// images for iamge output mode

// players as normal number
$main['online_img_plr_off'] = "img/online/off.gif";
$main['online_img_plr_0'] = "img/online/0.gif";
$main['online_img_plr_1'] = "img/online/1.gif";
$main['online_img_plr_2'] = "img/online/2.gif";
$main['online_img_plr_3'] = "img/online/3.gif";
$main['online_img_plr_4'] = "img/online/4.gif";
$main['online_img_plr_5'] = "img/online/5.gif";
$main['online_img_plr_6'] = "img/online/6.gif";
$main['online_img_plr_7'] = "img/online/7.gif";
$main['online_img_plr_8'] = "img/online/8.gif";
$main['online_img_plr_9'] = "img/online/9.gif";
$main['online_img_plr_10'] = "img/online/10.gif";
$main['online_img_plr_11'] = "img/online/11.gif";
$main['online_img_plr_12'] = "img/online/12.gif";
$main['online_img_plr_13'] = "img/online/13.gif";
$main['online_img_plr_14'] = "img/online/14.gif";
$main['online_img_plr_15'] = "img/online/15.gif";
$main['online_img_plr_16'] = "img/online/16.gif";
$main['online_img_plr_17'] = "img/online/17.gif";
$main['online_img_plr_18'] = "img/online/18.gif";
$main['online_img_plr_19'] = "img/online/19.gif";
$main['online_img_plr_20'] = "img/online/20.gif";
$main['online_img_plr_21'] = "img/online/21.gif";
$main['online_img_plr_22'] = "img/online/22.gif";
$main['online_img_plr_23'] = "img/online/23.gif";
$main['online_img_plr_24'] = "img/online/24.gif";
$main['online_img_plr_25'] = "img/online/25.gif";
$main['online_img_plr_26'] = "img/online/26.gif";
$main['online_img_plr_27'] = "img/online/27.gif";
$main['online_img_plr_28'] = "img/online/28.gif";
$main['online_img_plr_29'] = "img/online/29.gif";
$main['online_img_plr_30'] = "img/online/30.gif";
$main['online_img_plr_31'] = "img/online/31.gif";
$main['online_img_plr_32'] = "img/online/32.gif";
///////////////////////////////////////////////////////////////
// players as percent of server full
// not all positions are needed
$main['online_img_plr_off%'] = "img/online_prc/off.gif";
$main['online_img_plr_0%'] = "img/online_prc/0.gif";
$main['online_img_plr_3%'] = "img/online_prc/3.gif";
$main['online_img_plr_4%'] = "img/online_prc/4.gif";
$main['online_img_plr_5%'] = "img/online_prc/5.gif";
$main['online_img_plr_6%'] = "img/online_prc/6.gif";
$main['online_img_plr_7%'] = "img/online_prc/7.gif";
$main['online_img_plr_8%'] = "img/online_prc/8.gif";
$main['online_img_plr_9%'] = "img/online_prc/9.gif";
$main['online_img_plr_10%'] = "img/online_prc/10.gif";
$main['online_img_plr_11%'] = "img/online_prc/11.gif";
$main['online_img_plr_12%'] = "img/online_prc/12.gif";
$main['online_img_plr_13%'] = "img/online_prc/13.gif";
$main['online_img_plr_14%'] = "img/online_prc/14.gif";
$main['online_img_plr_15%'] = "img/online_prc/15.gif";
$main['online_img_plr_16%'] = "img/online_prc/16.gif";
$main['online_img_plr_17%'] = "img/online_prc/17.gif";
$main['online_img_plr_18%'] = "img/online_prc/18.gif";
$main['online_img_plr_19%'] = "img/online_prc/19.gif";
$main['online_img_plr_20%'] = "img/online_prc/20.gif";
$main['online_img_plr_21%'] = "img/online_prc/21.gif";
$main['online_img_plr_22%'] = "img/online_prc/22.gif";
$main['online_img_plr_23%'] = "img/online_prc/23.gif";
$main['online_img_plr_24%'] = "img/online_prc/24.gif";
$main['online_img_plr_25%'] = "img/online_prc/25.gif";
$main['online_img_plr_26%'] = "img/online_prc/26.gif";
$main['online_img_plr_27%'] = "img/online_prc/27.gif";
$main['online_img_plr_28%'] = "img/online_prc/28.gif";
$main['online_img_plr_29%'] = "img/online_prc/29.gif";
$main['online_img_plr_30%'] = "img/online_prc/30.gif";
$main['online_img_plr_31%'] = "img/online_prc/31.gif";
$main['online_img_plr_32%'] = "img/online_prc/32.gif";
$main['online_img_plr_33%'] = "img/online_prc/33.gif";
$main['online_img_plr_34%'] = "img/online_prc/34.gif";
$main['online_img_plr_35%'] = "img/online_prc/35.gif";
$main['online_img_plr_36%'] = "img/online_prc/36.gif";
$main['online_img_plr_37%'] = "img/online_prc/37.gif";
$main['online_img_plr_38%'] = "img/online_prc/38.gif";
$main['online_img_plr_39%'] = "img/online_prc/39.gif";
$main['online_img_plr_40%'] = "img/online_prc/40.gif";
$main['online_img_plr_41%'] = "img/online_prc/41.gif";
$main['online_img_plr_42%'] = "img/online_prc/42.gif";
$main['online_img_plr_43%'] = "img/online_prc/43.gif";
$main['online_img_plr_44%'] = "img/online_prc/44.gif";
$main['online_img_plr_45%'] = "img/online_prc/45.gif";
$main['online_img_plr_46%'] = "img/online_prc/46.gif";
$main['online_img_plr_47%'] = "img/online_prc/47.gif";
$main['online_img_plr_48%'] = "img/online_prc/48.gif";
$main['online_img_plr_50%'] = "img/online_prc/50.gif";
$main['online_img_plr_51%'] = "img/online_prc/51.gif";
$main['online_img_plr_52%'] = "img/online_prc/52.gif";
$main['online_img_plr_53%'] = "img/online_prc/53.gif";
$main['online_img_plr_54%'] = "img/online_prc/54.gif";
$main['online_img_plr_55%'] = "img/online_prc/55.gif";
$main['online_img_plr_56%'] = "img/online_prc/56.gif";
$main['online_img_plr_57%'] = "img/online_prc/57.gif";
$main['online_img_plr_58%'] = "img/online_prc/58.gif";
$main['online_img_plr_59%'] = "img/online_prc/59.gif";
$main['online_img_plr_60%'] = "img/online_prc/60.gif";
$main['online_img_plr_61%'] = "img/online_prc/61.gif";
$main['online_img_plr_62%'] = "img/online_prc/62.gif";
$main['online_img_plr_63%'] = "img/online_prc/63.gif";
$main['online_img_plr_64%'] = "img/online_prc/64.gif";
$main['online_img_plr_65%'] = "img/online_prc/65.gif";
$main['online_img_plr_66%'] = "img/online_prc/66.gif";
$main['online_img_plr_67%'] = "img/online_prc/67.gif";
$main['online_img_plr_68%'] = "img/online_prc/68.gif";
$main['online_img_plr_69%'] = "img/online_prc/69.gif";
$main['online_img_plr_70%'] = "img/online_prc/70.gif";
$main['online_img_plr_71%'] = "img/online_prc/71.gif";
$main['online_img_plr_72%'] = "img/online_prc/72.gif";
$main['online_img_plr_73%'] = "img/online_prc/73.gif";
$main['online_img_plr_74%'] = "img/online_prc/74.gif";
$main['online_img_plr_75%'] = "img/online_prc/75.gif";
$main['online_img_plr_76%'] = "img/online_prc/76.gif";
$main['online_img_plr_77%'] = "img/online_prc/77.gif";
$main['online_img_plr_78%'] = "img/online_prc/78.gif";
$main['online_img_plr_79%'] = "img/online_prc/79.gif";
$main['online_img_plr_80%'] = "img/online_prc/80.gif";
$main['online_img_plr_81%'] = "img/online_prc/81.gif";
$main['online_img_plr_82%'] = "img/online_prc/82.gif";
$main['online_img_plr_83%'] = "img/online_prc/83.gif";
$main['online_img_plr_84%'] = "img/online_prc/84.gif";
$main['online_img_plr_85%'] = "img/online_prc/85.gif";
$main['online_img_plr_86%'] = "img/online_prc/86.gif";
$main['online_img_plr_87%'] = "img/online_prc/87.gif";
$main['online_img_plr_88%'] = "img/online_prc/88.gif";
$main['online_img_plr_89%'] = "img/online_prc/89.gif";
$main['online_img_plr_90%'] = "img/online_prc/90.gif";
$main['online_img_plr_91%'] = "img/online_prc/91.gif";
$main['online_img_plr_92%'] = "img/online_prc/92.gif";
$main['online_img_plr_93%'] = "img/online_prc/93.gif";
$main['online_img_plr_94%'] = "img/online_prc/94.gif";
$main['online_img_plr_95%'] = "img/online_prc/95.gif";
$main['online_img_plr_96%'] = "img/online_prc/96.gif";
$main['online_img_plr_100%'] = "img/online_prc/100.gif";
///////////////////////////////////////////////////////////////


?>
